clc;
clear;
close all;

D1=LagOp([1 -1]);
D12=LagOp([1 -1],'Lags',[0 12]);

load Data_Airline;

y=log(Data);
n=numel(y);
XTick=1:(2*12):n;

q=6;
w=[1/(4*q) 1/(2*q)*ones(1,2*q-1) 1/(4*q)];
T=conv(y,w,'valid'); % Trend
tT=q:n-q-1;

x=y(tT)-T;

figure;

subplot(2,1,1);
plot(y);
hold on;
plot(tT,T,'LineWidth',2);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t, T_t');
legend('y_t','T_t');

subplot(2,1,2);
plot(tT,x);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t - T_t');
